Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECReportGroupListMember

public interface ECReportGroupListMember

This interface defines the methods for the ECReportGroupListMember. The ECReportGroupListMember represents one EPC within the `ECReportGroup` list. Depending on the settings of the `ECReportSpec`, ECReportGroupListMemeber will contain one or more of the following tag formats: EPC (Pure Identity), Tag, Raw Hex, and Raw Decimal.

Method Summary
`java.net.URI` | `getEPC()` Returns an EPC represented as a pure identity URI according to the EPCglobal Tag Data Specification (e.g.
`java.util.List` | `getMemoryItems()` Return the memory items read for this tag.
`java.net.URI` | `getRawDecimal()` Returns an EPC represented as a raw decimal URI according to the EPCglobal Tag Data Specification (e.g.
`java.net.URI` | `getRawHex()` Returns an EPC represented as a raw hexadecimal URI according to the EPCglobal ALE 1.0 Specification (e.g.
`java.net.URI` | `getTag()` Returns an EPC represented as a tag URI according to the EPCglobal Tag Data Specification (e.g.

Method Detail

### getEPC

    public java.net.URI getEPC()

  Returns an EPC represented as a pure identity URI according to the EPCglobal Tag Data Specification (e.g. urn:epc:id:gid:10.60.6).

  Returns:
    The Pure Identity URI for this EPC if the corresponding `ECReportSpec.setIncludeEPC(boolean)` is set to true, otherwise returns null.

### getTag

    public java.net.URI getTag()

  Returns an EPC represented as a tag URI according to the EPCglobal Tag Data Specification (e.g. urn:epc:tag:gid-64-i:10.60.6).

  Returns:
    The Tag URI for this EPC if the corresponding `ECReportSpec.setIncludeTag(boolean)` is set to true, otherwise returns null.

### getRawHex

    public java.net.URI getRawHex()

  Returns an EPC represented as a raw hexadecimal URI according to the EPCglobal ALE 1.0 Specification (e.g. urn:epc:raw:64.x400014003C000006).

  Returns:
    The raw hexadecimal URI for this EPC if the corresponding `ECReportSpec.setIncludeRawHex(boolean)` is set to true, otherwise returns null.

### getRawDecimal

    public java.net.URI getRawDecimal()

  Returns an EPC represented as a raw decimal URI according to the EPCglobal Tag Data Specification (e.g. urn:epc:raw:64.4611708009666576390).

  Returns:
    The raw decimcal URI for this EPC if the corresponding `ECReportSpec.setIncludeRawDecimal(boolean)` method is set to true, otherwise returns null.

### getMemoryItems

    public java.util.List getMemoryItems()

  Return the memory items read for this tag. Each is an ECReportGrouListMemberMemory object that contains the memory field and its contents.

  Returns:
    a list of ECReportGroupListMemberMemory objects representing the tag memory read

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD